<template>
  <div class="promo text-center">
    <div class="container-fluid">
      <h2 v-if="fields.title">{{ fields.title }}</h2>
      <p v-if="fields.text">{{ fields.text }}</p>
      <b-button v-if="fields.ctaText" href="#" size="lg" variant="primary">
        {{ fields.ctaText }}
      </b-button>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    fields: {
      type: Object,
      required: true
    }
  }
}
</script>

<style scoped lang="scss">
@import './assets/scss/bootstrap-variable-override';
.promo {
  background: $grey-600;
  padding-top: 5rem;
  padding-bottom: 5rem;
  color: $blue;
  font-size: 1.25rem;
}
.container-fluid {
  max-width: 810px;
}
h2 {
  letter-spacing: -0.9px;
  margin-bottom: 1rem;
}
a {
  margin-top: 1rem;
}
</style>
